package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppCleanRequest;

/**
 * 清洁要求Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
public interface AppCleanRequestMapper 
{
    /**
     * 查询清洁要求
     * 
     * @param cleanRequestId 清洁要求主键
     * @return 清洁要求
     */
    public AppCleanRequest selectAppCleanRequestByCleanRequestId(Long cleanRequestId);

    /**
     * 查询清洁要求列表
     * 
     * @param appCleanRequest 清洁要求
     * @return 清洁要求集合
     */
    public List<AppCleanRequest> selectAppCleanRequestList(AppCleanRequest appCleanRequest);

    /**
     * 新增清洁要求
     * 
     * @param appCleanRequest 清洁要求
     * @return 结果
     */
    public int insertAppCleanRequest(AppCleanRequest appCleanRequest);

    /**
     * 修改清洁要求
     * 
     * @param appCleanRequest 清洁要求
     * @return 结果
     */
    public int updateAppCleanRequest(AppCleanRequest appCleanRequest);

    /**
     * 删除清洁要求
     * 
     * @param cleanRequestId 清洁要求主键
     * @return 结果
     */
    public int deleteAppCleanRequestByCleanRequestId(Long cleanRequestId);

    /**
     * 批量删除清洁要求
     * 
     * @param cleanRequestIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppCleanRequestByCleanRequestIds(Long[] cleanRequestIds);

    /**
     * 查询清洁要求列表
     *
     * @return 清洁要求集合
     */
    public List<AppCleanRequest> getAppCleanRequestList();
}
